﻿using Plane.FormationCreator.Formation;
using Plane.FormationCreator.ViewModels;
using Microsoft.Practices.ServiceLocation;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace Plane.FormationCreator.Views
{
    /// <summary>
    /// Interaction logic for TaskBarView.xaml
    /// </summary>
    public partial class TaskBarView : UserControl
    {
        public TaskBarView()
        {
            InitializeComponent();

            this.DataContext = ServiceLocator.Current.GetInstance<TaskBarViewModel>();
        }

        private FlightTaskManager _flightTaskManager = ServiceLocator.Current.GetInstance<FlightTaskManager>();

        //用于更名
        public void TaskLeftButtonDown(object sender, MouseButtonEventArgs e)
        {
            if (e.ClickCount > 1)
            {

                 _flightTaskManager.FlyToTasks();
            }
        }

         //选择任务
        private void SelectTask(object sender, MouseButtonEventArgs e)
        {
            var elem = sender as FrameworkElement;
            var task = elem.DataContext as FlightTask;
            //if (task.TaskType != FlightTaskType.TakeOff) // 不让选起飞任务。  现在可以选择起飞任务
            {
                _flightTaskManager.Select(task);
            }

        }

        //以前的右键隐藏航点，已不用
        public void setRightSelect(FlightTask task, bool vRightSelect)
        {

         

        }

        //右键功能 ---改名
        private void HideTask(object sender, MouseButtonEventArgs e)
        {
            var elem = sender as FrameworkElement;
            var task = elem.DataContext as FlightTask;
            if (task.TaskType != FlightTaskType.FlyTo) return;
            TasksControl.Focus();
            string newName = task.TaskCnName;
            if (PlaneMessageBox.OnShow("请输入新的名称", "重命名", ref newName))
            {
                task.TaskCnName = newName;
            }

        }

        private void TextBox_TextChanged(object sender, TextChangedEventArgs e)
        {
//             TextBox textbox = sender as TextBox;
//             int value = 0;
//             if (int.TryParse(textbox.Text, out value))
//             {
//                 if (value > 4095)
//                     textbox.Text = "4095";
//             }
        }
    }
}
